<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier src/hash_table.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('hash__table_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier hash_table.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contient les fonctions pour gérer une table de hash.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &quot;<a class="el" href="prime__numbers_8h_source.html">../inc/prime_numbers.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="hash__table_8h_source.html">../inc/hash_table.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a96cdd3c3064eb995e64442d746473398"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#a96cdd3c3064eb995e64442d746473398">get_hash</a> (<a class="el" href="structtable__t.html">table_t</a> *table, char *path)</td></tr>
<tr class="memdesc:a96cdd3c3064eb995e64442d746473398"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul d'un hachage pour <em>path</em> de fichier donnée.  <a href="#a96cdd3c3064eb995e64442d746473398">Plus de détails...</a><br /></td></tr>
<tr class="separator:a96cdd3c3064eb995e64442d746473398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a9c88f5aab8b69cb53424020683d9ee"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#a4a9c88f5aab8b69cb53424020683d9ee">get_double_hash</a> (<a class="el" href="structtable__t.html">table_t</a> *table, char *path)</td></tr>
<tr class="memdesc:a4a9c88f5aab8b69cb53424020683d9ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calcul d'un double hachage pour <em>path</em> de fichier donnée.  <a href="#a4a9c88f5aab8b69cb53424020683d9ee">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4a9c88f5aab8b69cb53424020683d9ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaa4761e797f076e6fd3f97114ccd231"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structelement__t.html">element_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#acaa4761e797f076e6fd3f97114ccd231">new_element</a> (char *path, int hash)</td></tr>
<tr class="memdesc:acaa4761e797f076e6fd3f97114ccd231"><td class="mdescLeft">&#160;</td><td class="mdescRight">Création d'un nouvel élément pour la table de hachage.  <a href="#acaa4761e797f076e6fd3f97114ccd231">Plus de détails...</a><br /></td></tr>
<tr class="separator:acaa4761e797f076e6fd3f97114ccd231"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a387363f2f220e7a47ec071a3f45bb3aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#a387363f2f220e7a47ec071a3f45bb3aa">new_table</a> (int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:a387363f2f220e7a47ec071a3f45bb3aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Création d'une table de hachage vide.  <a href="#a387363f2f220e7a47ec071a3f45bb3aa">Plus de détails...</a><br /></td></tr>
<tr class="separator:a387363f2f220e7a47ec071a3f45bb3aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1177c49e8965fa9e2e6bfa24a433259"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#aa1177c49e8965fa9e2e6bfa24a433259">resize_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table, int <a class="el" href="list_8c.html#a8ffe93a3beaf22d1d8cd6ee35beb1012">size</a>)</td></tr>
<tr class="memdesc:aa1177c49e8965fa9e2e6bfa24a433259"><td class="mdescLeft">&#160;</td><td class="mdescRight">Redimensionnement de la table de hachage.  <a href="#aa1177c49e8965fa9e2e6bfa24a433259">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa1177c49e8965fa9e2e6bfa24a433259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4448474f4a1e890757ce5c136f87266"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#af4448474f4a1e890757ce5c136f87266">table_copy</a> (<a class="el" href="structtable__t.html">table_t</a> *dst, <a class="el" href="structtable__t.html">table_t</a> *src)</td></tr>
<tr class="memdesc:af4448474f4a1e890757ce5c136f87266"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copie d'une table de hachage vers une autre.  <a href="#af4448474f4a1e890757ce5c136f87266">Plus de détails...</a><br /></td></tr>
<tr class="separator:af4448474f4a1e890757ce5c136f87266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed3946710431ae10a32e59083e312927"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#aed3946710431ae10a32e59083e312927">clear_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table)</td></tr>
<tr class="memdesc:aed3946710431ae10a32e59083e312927"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vidange de la table de hachage en mettant l'état de chaque élément à 0.  <a href="#aed3946710431ae10a32e59083e312927">Plus de détails...</a><br /></td></tr>
<tr class="separator:aed3946710431ae10a32e59083e312927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a600e81c0adcafa7bb71cd0ff899da9dc"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#a600e81c0adcafa7bb71cd0ff899da9dc">insert_path</a> (<a class="el" href="structtable__t.html">table_t</a> *table, char *path)</td></tr>
<tr class="memdesc:a600e81c0adcafa7bb71cd0ff899da9dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Insertion d'un path dans la table de hachage.  <a href="#a600e81c0adcafa7bb71cd0ff899da9dc">Plus de détails...</a><br /></td></tr>
<tr class="separator:a600e81c0adcafa7bb71cd0ff899da9dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5420849a0d0b03ddc3afbba911fd301a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#a5420849a0d0b03ddc3afbba911fd301a">search_path</a> (<a class="el" href="structtable__t.html">table_t</a> *table, char *path)</td></tr>
<tr class="memdesc:a5420849a0d0b03ddc3afbba911fd301a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Recherche d'un path dans la table de hachage.  <a href="#a5420849a0d0b03ddc3afbba911fd301a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5420849a0d0b03ddc3afbba911fd301a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7309362ff9856d83e36336ea57c6acc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#ad7309362ff9856d83e36336ea57c6acc">free_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table)</td></tr>
<tr class="memdesc:ad7309362ff9856d83e36336ea57c6acc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Libération de la mémoire de la table de hachage.  <a href="#ad7309362ff9856d83e36336ea57c6acc">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad7309362ff9856d83e36336ea57c6acc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf4394175d87de06a83d8793ace043e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#abf4394175d87de06a83d8793ace043e4">print_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table)</td></tr>
<tr class="memdesc:abf4394175d87de06a83d8793ace043e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affichage de la table de hachage sur la sortie standard.  <a href="#abf4394175d87de06a83d8793ace043e4">Plus de détails...</a><br /></td></tr>
<tr class="separator:abf4394175d87de06a83d8793ace043e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2a14f99f4137aa26e84bdabcda9f6d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#aa2a14f99f4137aa26e84bdabcda9f6d1">intersect_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table1, <a class="el" href="structtable__t.html">table_t</a> *table2)</td></tr>
<tr class="memdesc:aa2a14f99f4137aa26e84bdabcda9f6d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Intersection de deux tables de hachage.  <a href="#aa2a14f99f4137aa26e84bdabcda9f6d1">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa2a14f99f4137aa26e84bdabcda9f6d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ececb45002b46f5753828d5d479207f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#a4ececb45002b46f5753828d5d479207f">union_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table1, <a class="el" href="structtable__t.html">table_t</a> *table2)</td></tr>
<tr class="memdesc:a4ececb45002b46f5753828d5d479207f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Union de deux tables de hachage.  <a href="#a4ececb45002b46f5753828d5d479207f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a4ececb45002b46f5753828d5d479207f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40582e89709f0e3320a9ca2e7bc7d3f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hash__table_8c.html#ab40582e89709f0e3320a9ca2e7bc7d3f">substract_table</a> (<a class="el" href="structtable__t.html">table_t</a> *table, <a class="el" href="structtable__t.html">table_t</a> *substracted_table)</td></tr>
<tr class="memdesc:ab40582e89709f0e3320a9ca2e7bc7d3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Soustraire une table de hachage d'une autre.  <a href="#ab40582e89709f0e3320a9ca2e7bc7d3f">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab40582e89709f0e3320a9ca2e7bc7d3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Contient les fonctions pour gérer une table de hash. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="aed3946710431ae10a32e59083e312927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed3946710431ae10a32e59083e312927">&#9670;&nbsp;</a></span>clear_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void clear_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vidange de la table de hachage en mettant l'état de chaque élément à 0. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage à vider </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ad7309362ff9856d83e36336ea57c6acc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7309362ff9856d83e36336ea57c6acc">&#9670;&nbsp;</a></span>free_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void free_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Libération de la mémoire de la table de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage à libérer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4a9c88f5aab8b69cb53424020683d9ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a9c88f5aab8b69cb53424020683d9ee">&#9670;&nbsp;</a></span>get_double_hash()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int get_double_hash </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calcul d'un double hachage pour <em>path</em> de fichier donnée. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage </td></tr>
    <tr><td class="paramname">path</td><td>Chemin d'un fichier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Le double hachage du path </dd></dl>

</div>
</div>
<a id="a96cdd3c3064eb995e64442d746473398"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96cdd3c3064eb995e64442d746473398">&#9670;&nbsp;</a></span>get_hash()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int get_hash </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calcul d'un hachage pour <em>path</em> de fichier donnée. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage </td></tr>
    <tr><td class="paramname">path</td><td>Chemin d'un fichier </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Le hachage du path </dd></dl>

</div>
</div>
<a id="a600e81c0adcafa7bb71cd0ff899da9dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a600e81c0adcafa7bb71cd0ff899da9dc">&#9670;&nbsp;</a></span>insert_path()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int insert_path </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Insertion d'un path dans la table de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage </td></tr>
    <tr><td class="paramname">path</td><td>Path à inserer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>1 si l'élément est inséré, 0 sinon </dd></dl>

</div>
</div>
<a id="aa2a14f99f4137aa26e84bdabcda9f6d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2a14f99f4137aa26e84bdabcda9f6d1">&#9670;&nbsp;</a></span>intersect_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a>* intersect_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Intersection de deux tables de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table1</td><td>Premier table de hachage </td></tr>
    <tr><td class="paramname">table2</td><td>Deuxième table de hachage </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>L'intersection entre les deux tables de hachage </dd></dl>

</div>
</div>
<a id="acaa4761e797f076e6fd3f97114ccd231"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaa4761e797f076e6fd3f97114ccd231">&#9670;&nbsp;</a></span>new_element()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structelement__t.html">element_t</a> new_element </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>hash</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Création d'un nouvel élément pour la table de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">path</td><td>Chemin d'un fichier </td></tr>
    <tr><td class="paramname">hash</td><td>Hachage du path </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>La structure <em><a class="el" href="structelement__t.html" title="Représente un élément d&#39;une table de hash. ">element_t</a></em> </dd></dl>

</div>
</div>
<a id="a387363f2f220e7a47ec071a3f45bb3aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a387363f2f220e7a47ec071a3f45bb3aa">&#9670;&nbsp;</a></span>new_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a>* new_table </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Création d'une table de hachage vide. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Taille de la table de hachage </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Un pointeur sur une structure <em><a class="el" href="structtable__t.html" title="Représente la table de hash. ">table_t</a></em> </dd></dl>

</div>
</div>
<a id="abf4394175d87de06a83d8793ace043e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf4394175d87de06a83d8793ace043e4">&#9670;&nbsp;</a></span>print_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void print_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affichage de la table de hachage sur la sortie standard. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage à afficher </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="aa1177c49e8965fa9e2e6bfa24a433259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1177c49e8965fa9e2e6bfa24a433259">&#9670;&nbsp;</a></span>resize_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void resize_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Redimensionnement de la table de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Ancienne table de hachage </td></tr>
    <tr><td class="paramname">size</td><td>Nouvelle taille de la table de hachage </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a5420849a0d0b03ddc3afbba911fd301a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5420849a0d0b03ddc3afbba911fd301a">&#9670;&nbsp;</a></span>search_path()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int search_path </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Recherche d'un path dans la table de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage </td></tr>
    <tr><td class="paramname">path</td><td>Path à chercher </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Le hachage si l'élément existe, -1 sinon </dd></dl>

</div>
</div>
<a id="ab40582e89709f0e3320a9ca2e7bc7d3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab40582e89709f0e3320a9ca2e7bc7d3f">&#9670;&nbsp;</a></span>substract_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a>* substract_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>substracted_table</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Soustraire une table de hachage d'une autre. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table</td><td>Table de hachage à soustaire </td></tr>
    <tr><td class="paramname">substracted_table</td><td>Table de hachage depuis laquelle on soustrait </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>La table de hachage soustraite </dd></dl>

</div>
</div>
<a id="af4448474f4a1e890757ce5c136f87266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4448474f4a1e890757ce5c136f87266">&#9670;&nbsp;</a></span>table_copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void table_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>src</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copie d'une table de hachage vers une autre. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">dst</td><td>Table de hachage copie </td></tr>
    <tr><td class="paramname">src</td><td>Table de hachage à copier </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4ececb45002b46f5753828d5d479207f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ececb45002b46f5753828d5d479207f">&#9670;&nbsp;</a></span>union_table()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtable__t.html">table_t</a>* union_table </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structtable__t.html">table_t</a> *&#160;</td>
          <td class="paramname"><em>table2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Union de deux tables de hachage. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">table1</td><td>Premier table de hachage </td></tr>
    <tr><td class="paramname">table2</td><td>Deuxième table de hachage </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>L'union entre les deux tables de hachage </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="hash__table_8c.html">hash_table.c</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
